Bug 1121713 - rt2800usb AP stopped working
Summary: rt2800usb AP stopped working
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fedora-kernel-wireless-ralink
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 16:53 UTC by Nerijus Baliūnas
Modified: 2014-12-24 02:53 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-12 23:31:16 UTC


Attachments (Terms of Use)
dmesg_3.14.8 (63.52 KB, text/plain)
2014-07-21 16:53 UTC, Nerijus Baliūnas
no flags Details
dmesg_3.15.6 (61.35 KB, text/plain)
2014-07-21 16:53 UTC, Nerijus Baliūnas
no flags Details
lsmod_3.14.8 (6.90 KB, text/plain)
2014-07-21 16:54 UTC, Nerijus Baliūnas
no flags Details
lsmod_3.15.6 (7.00 KB, text/plain)
2014-07-21 16:54 UTC, Nerijus Baliūnas
no flags Details

Description Nerijus Baliūnas 2014-07-21 16:53:22 UTC
Created attachment 919693 [details]
dmesg_3.14.8

hostapd starts on kernel-3.14.8-200.fc20.x86_64, but fails on kernel-3.15.6-200.fc20.x86_64:

hostapd[4865]: Configuration file: /etc/hostapd/hostapd.conf
hostapd[4865]: nl80211: Failed to set interface wlan0 into AP mode
hostapd[4865]: nl80211 driver initialization failed.

I'll attach dmesg and lsmod files.

Comment 1 Nerijus Baliūnas 2014-07-21 16:53:54 UTC
Created attachment 919694 [details]
dmesg_3.15.6

Comment 2 Nerijus Baliūnas 2014-07-21 16:54:21 UTC
Created attachment 919695 [details]
lsmod_3.14.8

Comment 3 Nerijus Baliūnas 2014-07-21 16:54:45 UTC
Created attachment 919696 [details]
lsmod_3.15.6

Comment 4 Nerijus Baliūnas 2014-07-21 16:56:27 UTC
lsusb:
Bus 001 Device 005: ID 148f:5370 Ralink Technology, Corp. RT5370 Wireless Adapter

Comment 5 Stanislaw Gruszka 2014-08-06 13:49:39 UTC
It works for me on 3.15.7-200.fc20.x86_64. 

Perhaps systemd change name of the wlan0 interface (see http://www.freedesktop.org/wiki/Software/systemd/PredictableNetworkInterfaceNames ), what shows "iw dew" on your system ?

Comment 6 Stanislaw Gruszka 2014-08-07 12:06:17 UTC
> what shows "iw dew" on your system ?

I mean: "iw dev"

Comment 7 Nerijus Baliūnas 2014-08-12 23:31:16 UTC
hostapd failed to start once on 3.14.8 kernel too, but disconnecting and reconnecting the device helped. The same worked on 3.15.8. hostapd -d output when it fails:

random: Trying to read entropy from /dev/random
Configuration file: /etc/hostapd/hostapd.conf
ctrl_interface_group=10 (from group name 'wheel')
nl80211: interface wlan0 in phy phy0
rfkill: initial event: idx=0 type=1 op=0 soft=0 hard=0
nl80211: Using driver-based off-channel TX
nl80211: Add own interface ifindex 4
nl80211: Set mode ifindex 4 iftype 3 (AP)
nl80211: Setup AP - device_ap_sme=0 use_monitor=0
nl80211: Subscribe to mgmt frames with AP handle 0x17fb2a0
nl80211: Register frame type=0xb0 nl_handle=0x17fb2a0
nl80211: Register frame match - hexdump(len=0): [NULL]
nl80211: Register frame type=0x0 nl_handle=0x17fb2a0
nl80211: Register frame match - hexdump(len=0): [NULL]
nl80211: Register frame type=0x20 nl_handle=0x17fb2a0
nl80211: Register frame match - hexdump(len=0): [NULL]
nl80211: Register frame type=0xa0 nl_handle=0x17fb2a0
nl80211: Register frame match - hexdump(len=0): [NULL]
nl80211: Register frame type=0xc0 nl_handle=0x17fb2a0
nl80211: Register frame match - hexdump(len=0): [NULL]
nl80211: Register frame type=0xd0 nl_handle=0x17fb2a0
nl80211: Register frame match - hexdump(len=0): [NULL]
nl80211: Register frame command failed (type=208): ret=-114 (Operation already in progress)
nl80211: Register frame match - hexdump(len=0): [NULL]
nl80211: Failed to set interface wlan0 into AP mode
netlink: Operstate: linkmode=0, operstate=6
nl80211: Set mode ifindex 4 iftype 2 (STATION)
nl80211 driver initialization failed.

Anyway, I am closing this bug, as the workaround is to physically disconnect and reconnect the device.


Note You need to log in before you can comment on or make changes to this bug.